/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENEBALANCEGROUPDESC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenebalancegroupdesc.findAll", query = "SELECT t FROM Tgenebalancegroupdesc t"),
    @NamedQuery(name = "Tgenebalancegroupdesc.findByBalancegroup", query = "SELECT t FROM Tgenebalancegroupdesc t WHERE t.tgenebalancegroupdescPK.balancegroup = :balancegroup"),
    @NamedQuery(name = "Tgenebalancegroupdesc.findByLanguagecode", query = "SELECT t FROM Tgenebalancegroupdesc t WHERE t.tgenebalancegroupdescPK.languagecode = :languagecode"),
    @NamedQuery(name = "Tgenebalancegroupdesc.findByRecordversion", query = "SELECT t FROM Tgenebalancegroupdesc t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenebalancegroupdesc.findByDescription", query = "SELECT t FROM Tgenebalancegroupdesc t WHERE t.description = :description")})
public class Tgenebalancegroupdesc implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenebalancegroupdescPK tgenebalancegroupdescPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "BALANCEGROUP", referencedColumnName = "BALANCEGROUP", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenebalancegroup tgenebalancegroup;
    @JoinColumn(name = "LANGUAGECODE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;

    public Tgenebalancegroupdesc() {
    }

    public Tgenebalancegroupdesc(TgenebalancegroupdescPK tgenebalancegroupdescPK) {
        this.tgenebalancegroupdescPK = tgenebalancegroupdescPK;
    }

    public Tgenebalancegroupdesc(String balancegroup, String languagecode) {
        this.tgenebalancegroupdescPK = new TgenebalancegroupdescPK(balancegroup, languagecode);
    }

    public TgenebalancegroupdescPK getTgenebalancegroupdescPK() {
        return tgenebalancegroupdescPK;
    }

    public void setTgenebalancegroupdescPK(TgenebalancegroupdescPK tgenebalancegroupdescPK) {
        this.tgenebalancegroupdescPK = tgenebalancegroupdescPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenebalancegroup getTgenebalancegroup() {
        return tgenebalancegroup;
    }

    public void setTgenebalancegroup(Tgenebalancegroup tgenebalancegroup) {
        this.tgenebalancegroup = tgenebalancegroup;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenebalancegroupdescPK != null ? tgenebalancegroupdescPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenebalancegroupdesc)) {
            return false;
        }
        Tgenebalancegroupdesc other = (Tgenebalancegroupdesc) object;
        if ((this.tgenebalancegroupdescPK == null && other.tgenebalancegroupdescPK != null) || (this.tgenebalancegroupdescPK != null && !this.tgenebalancegroupdescPK.equals(other.tgenebalancegroupdescPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenebalancegroupdesc[ tgenebalancegroupdescPK=" + tgenebalancegroupdescPK + " ]";
    }
    
}
